.portfolio {
    padding: 1.5rem 1.5rem;
}

/* --------------------Nav Section-------------------- */

.nav-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 1.5rem;
    border-bottom: 1px solid rgba(91, 90, 120, 0.5);
}

.logo {
    font-family: 'Orbitron', monospace;
    color: #00ffb3;
    font-weight: bold;
    font-size: 1.5rem;
    letter-spacing: 0.1em;
}

.nav-links {
    display: flex;
    gap: 1.5rem;
}

.nav-links a {
    color: #5b5a78;
    text-decoration: none;
    letter-spacing: 0.1em;
}

/* --------------------Hero Section-------------------- */

.hero {
    padding: 4rem 0;
    border-bottom: 1px solid rgba(91, 90, 120, 0.5);
}

.hero-tag {
    font-family: 'Orbitron', monospace;
    color: #00ffb3;
    /*color: rgb(0, 254, 186);*/
    letter-spacing: 0.1em;
}

.hero span {
    color: #00ffb3;
}

.hero-btns {
    display: flex;
    gap: 1rem;
    margin-top: 50px;
}

.hero-btns button {
    font-family: 'Orbitron', monospace;
    font-size: 15px;
    padding: 0.5rem;
    color: #e0e0f0;
    background-color: black;
    border-radius: 10px;
}

/* --------------------Status Section-------------------- */

.status-bar {
    display: flex;
    gap: 0rem 5rem;
    align-items: center;
    padding: 1.5rem 0;
    border-bottom: 1px solid rgba(91, 90, 120, 0.5);
}

.status p {
    margin-top: 5px;
    margin-bottom: 5px;
}

.status-label {
    font-family: 'Orbitron', monospace;
    color: #5b5a78;
}

.status-value {
    font-family: 'Orbitron', monospace;
    color: #00ffb3;
    font-weight: bold;
    font-size: 1.25rem;
}

/* --------------------Generic Section-------------------- */

.section {
    display: flex;
    flex-wrap: wrap;
    margin-top: 2rem;
    padding-top: 2rem;
    padding-bottom: 0;
    align-items: center;
}

.section hr {
    flex-grow: 1;
    margin-left: 10px;
    border: 1px solid rgba(91, 90, 120, 0.5);
}

.break {
    flex-basis: 100%;
}

/* --------------------Project Section-------------------- */
.project-cards {
    display: grid;
    padding: 1.5rem 0;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
    width: 100%;
}

.project-cards a {
    display: flex;
    text-decoration: none;
}

.project {
    padding: 1rem 1.5rem;
    border: 1px solid rgba(91, 90, 120, 0.5);
    background: #111118;
    position: relative;
    cursor: pointer;
    transition: border-color 0.2s, transform 0.2s;
    flex: 1;
}

.coming-soon {
    text-align: center;
    align-content: center;
}

.project:hover {
    border-color: #00ffb3;
    transform: translateY(-0.2rem);
}

.coming-soon:hover {
    border-style: dashed;
}

.card-corner {
  content: "";
  position: absolute;
  top: -1px;    /* Pull slightly outside parent border */
  right: -1px;
  width: 20px;
  height: 20px;
  border-top: 3px solid #00ffb3;  /* Accent color */
  border-right: 3px solid #00ffb3;
}

.project-class {
    letter-spacing: 0.2rem;
}

.project .red {
    color: #ff3c6e;
}

.project .green {
    color: #00ffb3;
}

.project-class, .project-title, .project-description {
    margin: 1rem 0.5rem;
}

.project-stack {
    display: flex;
    margin: 0 0.5rem;
    gap: 0.5rem;
}

.stack-item {
    color: #5b5a78;
    border: 1px solid rgba(91, 90, 120, 0.5);
    padding: 0.1rem 0.5rem;
    margin-top: 0;
}

#featured {
    border: 1px solid #ff3c6e;
}

#featured .card-corner {
    border-color: #ff3c6e;
}

.coming-soon .project-description {
    letter-spacing: 0.1rem;
}

.next-project-tag {
    font-size: 1.2rem;
    color: #1e1e2e;
}

/* --------------------About Me Section-------------------- */
.about-me-container {
    display: grid;
    margin: 1.5rem 0;
    padding: 1.5rem 1.5rem;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
    border: 1px solid rgba(91, 90, 120, 0.5);
    background-color: #111118;
}

.bio p {
    margin: 1rem 0.5rem;
}

.skills-list {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin-top: 16px;
}

.skill {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.skill-name {
    width: 80px;
    flex-shrink: 0;
    color: #e0e0f0;
}

.skill-bar {
    flex-grow: 1;
    height: 3px;
    background: #1e1e2e;
}

.skill-fill.green{
    height: 3px;
    background: #00ffb3;
}

.skill-fill.red {
    height: 3px;
    background: #ff3c6e;
}

/* --------------------Generic Elements-------------------- */

div > h2 > span {
    color: #ff3c6e;
}

body {
    font-family: 'IBM Plex Mono', monospace;
    background-color: black;
}

p {
    font-family: 'Orbitron', monospace;
    color: #5b5a78;
}

h1 {
    font-family: 'Orbitron', monospace;
    font-weight: 900;
    color: #e0e0f0;
}

h2 {
    font-family: 'Orbitron', monospace;
    font-size: 1rem;
    font-weight: 100;
    letter-spacing: 0.1rem;
    color: #e0e0f0;
}

h3 {
    font-family: 'Orbitron', monospace;
    font-size: 1rem;
    font-weight: 100;
    color: #e0e0f0;
}